import { IResponseData, CategoryListParams, TemplateListParams, TemplateQueryParams, MediaListParams } from './type';
declare const imgUpload: (obj: any) => Promise<any>;
declare const comPanyImgPost: (obj: any) => Promise<any>;
declare const getcomPanyImglist: (obj: any) => Promise<any>;
declare const getImgThemeListById: (obj: any) => Promise<any>;
declare const getTplImgList: (obj: any) => Promise<any>;
declare const getShopList: (obj: any) => Promise<any>;
declare const getShopById: (id: any) => Promise<any>;
declare const parseqrcode: (obj: any) => Promise<any>;
declare const tencentCos: {
    authorization: (obj: any) => Promise<any>;
    upload: (path: any, data: any, conf: any) => Promise<any>;
};
declare const prizeMessage: (obj: any) => Promise<any>;
declare const byIdEchoMessage: (id: any) => Promise<any>;
declare const lottery: (obj: any) => Promise<any>;
declare const writePrizeAddress: (obj: any) => Promise<any>;
declare const getWechatUserInfo: (obj: any) => Promise<any>;
interface iCategoryAdd {
    title: string;
    is_show?: number;
    sort_by?: number;
}
export declare function categoryAdd(obj: iCategoryAdd): object;
interface iCategoryDisplay {
    ctg_id: number;
    is_show: number;
}
export declare function categoryDisplay(obj: iCategoryDisplay): object;
export declare const categoryList: <T>(params: CategoryListParams) => Promise<IResponseData<T>>;
interface iTemplateAdd {
    title: string;
    schema: string;
    ctg_id: number;
    sub_title?: string;
    is_hot?: number;
    is_show?: number;
    sort_by?: number;
    is_bigshrimp?: number;
    tag?: string;
}
export declare function templateAdd(obj: iTemplateAdd): object;
export declare const templateList: <T>(params: TemplateListParams) => Promise<IResponseData<T>>;
export declare const templateQuery: <T>(params: TemplateQueryParams) => Promise<IResponseData<T>>;
interface iFormSubmit {
    f_id: number;
    activity_id: number;
    submit_data: object;
}
export declare function formSubmit(obj: iFormSubmit): object;
interface iFormAdd {
    activity_id?: number;
    title: string;
    schema: string;
    begin_time: number;
    end_time: number;
    f_status: string;
}
export declare function formAdd(obj: iFormAdd): object;
interface iFormUpdate {
    activity_id?: number;
    f_id?: number;
    title: string;
    schema: string;
    begin_time: number;
    end_time: number;
    f_status: string;
}
export declare function formUpdate(obj: iFormUpdate): object;
interface iFormQuery {
    f_id: number;
}
export declare function formQuery(obj: iFormQuery): object;
interface solitaireQuery {
    ideaId: number;
    pageSize: number;
    pageNum: number;
}
export declare function getSolitaireData(obj: solitaireQuery): object;
export { imgUpload, comPanyImgPost, getcomPanyImglist, getImgThemeListById, getTplImgList, getShopList, getShopById, tencentCos, parseqrcode, writePrizeAddress, lottery, getWechatUserInfo, prizeMessage, byIdEchoMessage, };
export declare function getMediaCategoryList(params: {
    parentId: number;
}): any;
export declare const getMediaList: (params: MediaListParams) => any;
export declare const getMediaQuery: (params: {
    mediaId: number;
}) => any;
